## rtpL8pay rtpL8pay |

## Types and Values

struct | GstRtpL8Pay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRTPBaseAudioPayload
                            ╰── GstRtpL8Pay

## Description

Payload raw audio into RTP packets according to RFC 3551. For detailed information see: http://www.rfc-editor.org/rfc/rfc3551.txt

### Example pipeline

    1
    gst-launch -v audiotestsrc ! audioconvert ! rtpL8pay ! udpsink

This example pipeline will payload raw audio. Refer to the rtpL8depay example to depayload and play the RTP stream.

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>, GE Intelligent Platforms Embedded Systems, Inc.
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)U8, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)[ 1, 2147483647 ], encoding-name=(string)L8, channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstRtpL8Pay

    struct GstRtpL8Pay;

## See Also

rtpL8depay